Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.impl
Class TaskDeadlinesServiceImpl

    java.lang.Object
      org.jbpm.services.task.impl.TaskDeadlinesServiceImpl

All Implemented Interfaces:
  org.kie.internal.task.api.TaskDeadlinesService

    @Singleton
    public class TaskDeadlinesServiceImpl

extends Object
implements org.kie.internal.task.api.TaskDeadlinesService

Nested Class Summary
`static class` | `TaskDeadlinesServiceImpl.ScheduledTaskDeadline`

Nested classes/interfaces inherited from interface org.kie.internal.task.api.TaskDeadlinesService
`org.kie.internal.task.api.TaskDeadlinesService.DeadlineType`

Field Summary
`protected static org.kie.internal.task.api.TaskDeadlinesService` | `instance`

Constructor Summary
`TaskDeadlinesServiceImpl()`

Method Summary
`void` | `dispose()`
`static org.kie.internal.task.api.TaskDeadlinesService` | `getInstance()`
`void` | `init()`
`void` | `schedule(long taskId, long deadlineId, long delay, org.kie.internal.task.api.TaskDeadlinesService.DeadlineType type)`
`static void` | `setInstance(org.kie.internal.task.api.TaskDeadlinesService instance)`
`void` | `setNotificationEvents(javax.enterprise.event.Event<org.kie.internal.task.api.model.NotificationEvent> notificationEvents)`
`void` | `setPm(JbpmServicesPersistenceManager pm)`
`void` | `setTaskContentService(org.kie.internal.task.api.TaskContentService taskContentService)`
`void` | `setTaskQueryService(org.kie.internal.task.api.TaskQueryService taskQueryService)`
`void` | `unschedule(long taskId, org.kie.internal.task.api.TaskDeadlinesService.DeadlineType type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### instance

    protected static volatile org.kie.internal.task.api.TaskDeadlinesService instance

Constructor Detail

### TaskDeadlinesServiceImpl

    public TaskDeadlinesServiceImpl()

Method Detail

### setPm

    public void setPm(JbpmServicesPersistenceManager pm)

### setNotificationEvents

    public void setNotificationEvents(javax.enterprise.event.Event<org.kie.internal.task.api.model.NotificationEvent> notificationEvents)

### setTaskContentService

    public void setTaskContentService(org.kie.internal.task.api.TaskContentService taskContentService)

### dispose

    @PreDestroy
    public void dispose()

### init

    @PostConstruct
    public void init()

### schedule

    public void schedule(long taskId,
                         long deadlineId,
                         long delay,
                         org.kie.internal.task.api.TaskDeadlinesService.DeadlineType type)

  Specified by:
    `schedule` in interface `org.kie.internal.task.api.TaskDeadlinesService`

### unschedule

    public void unschedule(long taskId,
                           org.kie.internal.task.api.TaskDeadlinesService.DeadlineType type)

  Specified by:
    `unschedule` in interface `org.kie.internal.task.api.TaskDeadlinesService`

### setTaskQueryService

    public void setTaskQueryService(org.kie.internal.task.api.TaskQueryService taskQueryService)

### getInstance

    public static org.kie.internal.task.api.TaskDeadlinesService getInstance()

### setInstance

    public static void setInstance(org.kie.internal.task.api.TaskDeadlinesService instance)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.